你的位置: 奇芳阁 系统工具 阅读文章     

微软常用运行库合集下载 (DirectX、VC++、.Net Framework等)

[ 系统工具 // 2016-03-06 ]

朋友的电脑经常会出现运行软件或者玩游戏时提示缺少DirectX、dxdxxx.dll 等或者是出现 “由于应用程序配置不正确,应用程序未能启动”,又或者是出现 “不是有效的win32程序”错误提示之类的错误而无法正常使用,其实很多时候,只是因为你的电脑没有安装好微软常用运行库而已。

微软常用运行库都是采用Microsoft Visual Studio 20XX编写的软件必须使用的公用DLL运行库,相当于程序的字典文件。 某些网上和论坛的部分精简软件没有附带这些公用DLL,所以安装这些运行库是系统安装后第一件要做的事情。 由于Microsoft Visual C++ 2008 SP1(9.0.30729.6161)已经包含Microsoft Visual C++ 2008 ATL Update kb973924 (9.0.30729.4148),所以2008 SP1的ATL升级文件不提供。某些程序在64位系统下运行仍然需要32位版本的运行库,因为程序是基于32位Visual Studio开发的,典型的例子比如QQ.

DirectX (玩游戏必备):

DirectX,(Direct eXtension,简称DX)是由微软公司创建的多媒体编程接口。由C++编程语言实现,遵循COM。被广泛使用于Microsoft Windows、Microsoft XBOX、Microsoft XBOX 360和Microsoft XBOX ONE电子游戏开发,并且只能支持这些平台。

如果你新装的系统或者以前从没装过DirectX的话,想要游戏的话,装个DirectX总是没错的!特别是提示缺少 DirectX、dxdxxx.dll 之类的时候,那就是100%缺少DirectX而出现的错误了,请务必安装 DirectX End-User Runtimes!另外,玩游戏的话,安装新的稳定的显卡驱动也是非常重要的哦!

下载 DirectX 完整安装包2010.6最新版(包含DX9.0最新版)  |  来自@奇芳阁软件之家

Microsoft Visual C++ Redistributable Package:

VC++运行库可以让用户的电脑正常运行使用 Visual C++ 开发的应用程序,特别是游戏一类,不装他的话经常会出错,例如常见的缺少 msvcp71.dll、msvcr71.dll 一类msvc开头的文件。

如果出现 “由于应用程序配置不正确,应用程序未能启动” 请安装下面的 VC++库:

Microsoft Visual C++ 2005x86版本x64版本
Microsoft Visual C++ 2005 SP1x86版本x64版本
Microsoft Visual C++ 2008x86版本x64版本
Microsoft Visual C++ 2008 SP1x86版本x64版本
Microsoft Visual C++ 2010x86版本x64版本
Microsoft Visual C++ 2010 SP1x86版本x64版本
Microsoft Visual C++ 2012 Update1x86版本x64版本
Microsoft Visual C++ 2013x86版本x64版本

说明:Windows7中已经包含Microsoft Visual C++ 2008;

.Net Framework ( .Net框架 ):

现在越来越多的软件都需要用到 .NET 来支持,在安装的时候有些安装程序会先检查是否安装了所需的 .Net 框架才允许继续安装下去,你可以通过 .NET Check 这款小工具来查看电脑里已经安装了哪个.NET Framework版本;

当出现 “不是有效的win32程序”错误提示时,请安装下面的.Framework:

Microsoft .NET Framework 2.0x86版本x64版本
Microsoft .NET Framework 3.5x86版本
Microsoft .NET Framework 3.5 SP1x86版本完整版
Microsoft .NET Framework 4x86/x64版本完整版
Microsoft .NET Framework 4.5x86/x64版本完整版
Microsoft .NET Framework 4.5.1x86/x64版本完整版
Microsoft .NET Framework 4.5.1 语言包简体中文繁体中文
Microsoft .NET Framework 4.5.2下载大全页面简体中文语言包

注意:.Net Framework 4 与旧版的某些元件有所不同,所以有时只安装4的话运行需要旧版.Net的程序也会出现兼容问题,推荐同时安装.Net Framework4和3.5,它们能和平共存的。另外,Windows7 已经默认包含 Microsoft .NET Framework 3.5 SP1

Windows Installer (Windows 安装服务):

部分精简版或者Ghost版的 Windows 系统经常会碰到在安装软件时遇到“不能访问 或 无法启动 Windows Installer 服务”等的错误,此时,请重新安装 Windows Installer 即可。

Windows Installer 4.5 微软官方下载页面  | 来自@奇芳阁软件之家

打赏

如果本站对您有所帮助,请考虑对本站进行小额捐赠:

捐赠免费软件之家
各位请注意,目前发现 0 位寻荒者 在附近海域漂移!

报歉!评论已关闭.